Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class UserConfig

    java.lang.Object
      |
      +--org.apache.catalina.startup.UserConfig

All Implemented Interfaces:
  LifecycleListener

public final class UserConfig
extends java.lang.Object
implements LifecycleListener

Startup event listener for a Host that configures Contexts (web applications) for all defined "users" who have a web application in a directory with the specified name in their home directories. The context path of each deployed application will be set to `~xxxxx`, where xxxxx is the username of the owning user for that web application

Version:
  $Revision: 1.3 $ $Date: 2001/09/05 00:31:50 $
Author:
  Craig R. McClanahan

Constructor Summary
`UserConfig()`

Method Summary
`java.lang.String` | `getConfigClass()` Return the Context configuration class name.
`java.lang.String` | `getContextClass()` Return the Context implementation class name.
`int` | `getDebug()` Return the debugging detail level for this component.
`java.lang.String` | `getDirectoryName()` Return the directory name for user web applications.
`java.lang.String` | `getHomeBase()` Return the base directory containing user home directories.
`java.lang.String` | `getUserClass()` Return the user database class name for this component.
`void` | `lifecycleEvent(LifecycleEvent event)` Process the START event for an associated Host.
`void` | `setConfigClass(java.lang.String configClass)` Set the Context configuration class name.
`void` | `setContextClass(java.lang.String contextClass)` Set the Context implementation class name.
`void` | `setDebug(int debug)` Set the debugging detail level for this component.
`void` | `setDirectoryName(java.lang.String directoryName)` Set the directory name for user web applications.
`void` | `setHomeBase(java.lang.String homeBase)` Set the base directory containing user home directories.
`void` | `setUserClass(java.lang.String userClass)` Set the user database class name for this component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserConfig

    public UserConfig()

Method Detail

### getConfigClass

    public java.lang.String getConfigClass()

  Return the Context configuration class name.

### setConfigClass

    public void setConfigClass(java.lang.String configClass)

  Set the Context configuration class name.
  Parameters:
    `configClass` - The new Context configuration class name.

### getContextClass

    public java.lang.String getContextClass()

  Return the Context implementation class name.

### setContextClass

    public void setContextClass(java.lang.String contextClass)

  Set the Context implementation class name.
  Parameters:
    `contextClass` - The new Context implementation class name.

### getDebug

    public int getDebug()

  Return the debugging detail level for this component.

### setDebug

    public void setDebug(int debug)

  Set the debugging detail level for this component.
  Parameters:
    `debug` - The new debugging detail level

### getDirectoryName

    public java.lang.String getDirectoryName()

  Return the directory name for user web applications.

### setDirectoryName

    public void setDirectoryName(java.lang.String directoryName)

  Set the directory name for user web applications.
  Parameters:
    `directoryName` - The new directory name

### getHomeBase

    public java.lang.String getHomeBase()

  Return the base directory containing user home directories.

### setHomeBase

    public void setHomeBase(java.lang.String homeBase)

  Set the base directory containing user home directories.
  Parameters:
    `homeBase` - The new base directory

### getUserClass

    public java.lang.String getUserClass()

  Return the user database class name for this component.

### setUserClass

    public void setUserClass(java.lang.String userClass)

  Set the user database class name for this component.

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Process the START event for an associated Host.
  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - The lifecycle event that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.